Looking for RPM version of PHP 4.3.10

Do you have a question? Post it now! No Registration Necessary.  Now with pictures!

Threaded View

I am looking for an RPM version of PHP 4.3.10
I am currently running PHP Version 4.2.2 on Red Hat Linux release 9
(Shrike) with Apache/2.0.40 (Red Hat Linux)

Is it true that PHP 4.3.10 requires Apache/2.0.44 to be installed.

Re: Looking for RPM version of PHP 4.3.10

Oh man ... :)

See my post, further down the page.

4.2.2 was the latest version installed with RH9. With version 4.3.12,
Red Hat had moved to its Enterprise Linux, and to Fedora Core. There is
no 4.3.12 RPM for RH9.

Lemme tell ya about trying to install one of the Fedora/Enterprise RPMs
.... it ain't happening. I'm taking this approach:

1) Created a directory for test installation: /usr/src/upgrade
2) Uploaded php-5.0.3-1.i386.rpm (Fedora Devel for i386 edition)
3) cd /usr/src/upgrade
4) rpm -Uvh --test *
5) Got dependency errors for 9 library files and 4 older installed
versions of php-connectors
6) Got and placed the required dependency and newer prog files in
7) rpm -Uvh --test *
8) Dependency errors for 15 lib files, 21 older versions, and 3 version
9) Got and placed the required dependency and newer prog files in
10) rpm -Uvh --test *
11) The list of dependency issues has grown to a page and a half ...

So ... it's looking like an upgrade to 5.0.3-1 is not gonna happen. I'm
trying 5.0.3-1, now because of failures to upgrade to 4.3.12 from the
tarball. When I tried that (twice), it killed my upgraded httpd process
and I couldn't restart it. I had to restore from my backups, clean the
installation of 4.3.12 and reinstall 4.2.2 to get my web server up and
running again.

The guys at PHP.net say it's possible to upgrade from 4.2.2 to 4.3.12
on an RH9 machine, but they don't have any advice or info on how to do
it. I've been searching newsgroups and forums for months, trying
different things, all without success.

PLEASE keep in touch with how it's going for you. I promise to do the
same. :)


Site Timeline